@import './global.css';

accordion-container {
  display: grid;
  gap: 1rem;
}

accordion-item {
  display: block;
  padding: 1rem;
  border: 1px solid transparent;
  border-radius: var(--border-radius);
  /* box-shadow: var(--shadow-elevation-medium); */
  background-color: var(--fb-green);
  color: white;
  cursor: pointer;
}

accordion-title {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
}

accordion-title h3 {
  margin: 0;
}

.accordion-icon {
  transition: transform var(--transition-duration);
}

accordion-title[aria-expanded="true"] {
  padding-bottom: 1rem;
}

accordion-title[aria-expanded="true"] > .accordion-icon {
  transform: rotate(180deg);
}

accordion-panel {
  display: grid;
  grid-template-rows: 0fr; /* default to collapsed panel */
  transition: grid-template-rows var(--transition-duration); /* animate expand/collapse panel */
}

accordion-panel > flex-column {
  overflow: hidden;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

accordion-panel[aria-hidden="false"] {
  grid-template-rows: 1fr;
}